## waheela 0.3

=== CMakeLists.txt ===
PROJECT(waheela)
cmake_minimum_required(VERSION 2.2)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_subdirectory( src )
add_subdirectory( themes )
add_subdirectory( misc )

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/xadras/waheela

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/xadras/waheela

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles /home/xadras/waheela/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named waheela

# Build rule for target.
waheela: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 waheela
.PHONY : waheela

# fast build rule for target.
waheela/fast:
	$(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/build
.PHONY : waheela/fast

#=============================================================================
# Target rules for targets named waheela_automoc

# Build rule for target.
waheela_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 waheela_automoc
.PHONY : waheela_automoc

# fast build rule for target.
waheela_automoc/fast:
	$(MAKE) -f src/CMakeFiles/waheela_automoc.dir/build.make src/CMakeFiles/waheela_automoc.dir/build
.PHONY : waheela_automoc/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... uninstall"
	@echo "... waheela"
	@echo "... waheela_automoc"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== misc/CMakeLists.txt ===
install(FILES  waheela.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
kde4_install_icons(${ICON_INSTALL_DIR})

=== misc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/xadras/waheela

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/xadras/waheela

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles /home/xadras/waheela/misc/CMakeFiles/progress.marks
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 misc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 misc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 misc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 misc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include( KDE4Defaults )
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} )

set(waheela-sources 
	main.cpp
	waheela.cpp
	playercontroller.cpp
	widgets/about.cpp
	widgets/playProgress.cpp
	widgets/metadata.cpp
	widgets/background.cpp
	widgets/dateTime.cpp
)

kde4_add_ui_files(waheela-sources 
	ui/amarokSettings.ui
	ui/metadataSettings.ui
	ui/dateTimeSettings.ui
	ui/passwordSettings.ui
	ui/wallpaperSettings.ui
	ui/displaySettings.ui
)

kde4_add_executable(waheela ${waheela-sources})
target_link_libraries(waheela  ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS}  )
install(TARGETS waheela  ${INSTALL_TARGETS_DEFAULT_ARGS}} )

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/xadras/waheela

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/xadras/waheela

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles /home/xadras/waheela/src/CMakeFiles/progress.marks
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/waheela.dir/rule:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/waheela.dir/rule
.PHONY : src/CMakeFiles/waheela.dir/rule

# Convenience name for target.
waheela: src/CMakeFiles/waheela.dir/rule
.PHONY : waheela

# fast build rule for target.
waheela/fast:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/build
.PHONY : waheela/fast

# Convenience name for target.
src/CMakeFiles/waheela_automoc.dir/rule:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/waheela_automoc.dir/rule
.PHONY : src/CMakeFiles/waheela_automoc.dir/rule

# Convenience name for target.
waheela_automoc: src/CMakeFiles/waheela_automoc.dir/rule
.PHONY : waheela_automoc

# fast build rule for target.
waheela_automoc/fast:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela_automoc.dir/build.make src/CMakeFiles/waheela_automoc.dir/build
.PHONY : waheela_automoc/fast

# target to build an object file
main.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/main.o
.PHONY : main.o

# target to preprocess a source file
main.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/main.i
.PHONY : main.i

# target to generate assembly for a file
main.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/main.s
.PHONY : main.s

# target to build an object file
playercontroller.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/playercontroller.o
.PHONY : playercontroller.o

# target to preprocess a source file
playercontroller.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/playercontroller.i
.PHONY : playercontroller.i

# target to generate assembly for a file
playercontroller.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/playercontroller.s
.PHONY : playercontroller.s

# target to build an object file
waheela.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela.o
.PHONY : waheela.o

# target to preprocess a source file
waheela.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela.i
.PHONY : waheela.i

# target to generate assembly for a file
waheela.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela.s
.PHONY : waheela.s

# target to build an object file
waheela_automoc.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela_automoc.o
.PHONY : waheela_automoc.o

# target to preprocess a source file
waheela_automoc.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela_automoc.i
.PHONY : waheela_automoc.i

# target to generate assembly for a file
waheela_automoc.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/waheela_automoc.s
.PHONY : waheela_automoc.s

# target to build an object file
widgets/about.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/about.o
.PHONY : widgets/about.o

# target to preprocess a source file
widgets/about.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/about.i
.PHONY : widgets/about.i

# target to generate assembly for a file
widgets/about.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/about.s
.PHONY : widgets/about.s

# target to build an object file
widgets/background.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/background.o
.PHONY : widgets/background.o

# target to preprocess a source file
widgets/background.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/background.i
.PHONY : widgets/background.i

# target to generate assembly for a file
widgets/background.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/background.s
.PHONY : widgets/background.s

# target to build an object file
widgets/dateTime.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/dateTime.o
.PHONY : widgets/dateTime.o

# target to preprocess a source file
widgets/dateTime.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/dateTime.i
.PHONY : widgets/dateTime.i

# target to generate assembly for a file
widgets/dateTime.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/dateTime.s
.PHONY : widgets/dateTime.s

# target to build an object file
widgets/metadata.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/metadata.o
.PHONY : widgets/metadata.o

# target to preprocess a source file
widgets/metadata.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/metadata.i
.PHONY : widgets/metadata.i

# target to generate assembly for a file
widgets/metadata.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/metadata.s
.PHONY : widgets/metadata.s

# target to build an object file
widgets/playProgress.o:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/playProgress.o
.PHONY : widgets/playProgress.o

# target to preprocess a source file
widgets/playProgress.i:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/playProgress.i
.PHONY : widgets/playProgress.i

# target to generate assembly for a file
widgets/playProgress.s:
	cd /home/xadras/waheela && $(MAKE) -f src/CMakeFiles/waheela.dir/build.make src/CMakeFiles/waheela.dir/widgets/playProgress.s
.PHONY : widgets/playProgress.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... waheela"
	@echo "... waheela_automoc"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
	@echo "... playercontroller.o"
	@echo "... playercontroller.i"
	@echo "... playercontroller.s"
	@echo "... waheela.o"
	@echo "... waheela.i"
	@echo "... waheela.s"
	@echo "... waheela_automoc.o"
	@echo "... waheela_automoc.i"

=== themes/CMakeLists.txt ===
install( FILES
	 Aghi.config
	 Evening.config
	 Plasmalicious.config
	 Air.config
	 Code_Poets_Dream.config Fields_of_Peace.config
	 Red_Leaf.config
	 Atra_Dot.config
	 Finally_Summer_in_Germany.config Spring_Sunray.config
	 Curls_on_Green.config Fresh_Morning.config
	 There_is_Rain_on_the_Table.config
	 EOS.config
	 The_Rings_of_Saturn.config
	 DESTINATION ${CONFIG_INSTALL_DIR}/waheela/themes
)

=== themes/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/xadras/waheela

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/xadras/waheela

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles /home/xadras/waheela/themes/CMakeFiles/progress.marks
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 themes/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/xadras/waheela/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 themes/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 themes/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/xadras/waheela && $(MAKE) -f CMakeFiles/Makefile2 themes/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/xadras/waheela && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
waheela (0.3) unstable; urgency=low

  * Movable elements
  * color & font edits

 -- Fabian Wuertz <xadras@sidux.com>  Fri, 24 Jul 2009 23:59:59 +0100

waheela (0.2.2) unstable; urgency=low

  * CMake theme path problem solved 

 -- Fabian Wuertz <xadras@sidux.com>  Fri, 24 Jul 2009 23:59:59 +0100

waheela (0.2.1) unstable; urgency=low

  * PlayPause button changes its icon if the song state was changed.

 -- Fabian Wuertz <xadras@sidux.com>  Fri, 24 Jul 2009 23:59:59 +0100

waheela (0.2) unstable; urgency=low

  * Exit icon changed
  * Theme package created
  * Widescreen dedection added

 -- Fabian Wuertz <xadras@sidux.com>  Mon, 20 Jul 2009 23:59:59 +0100

waheela (0.1) unstable; urgency=low

  * Initial release.

 -- Fabian Wuertz <xadras@sidux.com>  Sat, 19 Jul 2009 23:59:59 +0100

=== debian/control ===
Source: waheela
Section: kde
Priority: extra
Maintainer: Fabian Wuertz <xadras@sidux.com>
Uploaders: Fabian Wuertz <xadras@sidux.com>
Build-Depends: cdbs, debhelper (>= 6), cmake, kdelibs5-dev
Standards-Version: 3.8.0

Package: waheela
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, amarok (>= 2)
Recommends:
Description: Waheela
 A full-screen display for Amarok.


Package: waheela-themes
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, waheela (= ${source:Version})
Recommends:
Description: A theme collection for Waheela
